pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/devel/deforaos-libsystem Fix some build issues exposed...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/d56fe612f8e7
branches:  trunk
changeset: 639687:d56fe612f8e7
user:      jperkin <jperkin%pkgsrc.org@localhost>
date:      Tue Sep 23 12:06:49 2014 +0000

description:
Fix some build issues exposed by the cwrappers build:

  - Use REPLACE_SH for echo -n.
  - Use LD_LIBRARY_PATH for tests to find pre-installed libraries.
  - Fix parallel build issues.

diffstat:

 devel/deforaos-libsystem/Makefile                     |   4 +++-
 devel/deforaos-libsystem/distinfo                     |   5 +++--
 devel/deforaos-libsystem/patches/patch-src_Makefile   |  13 +++++++++++++
 devel/deforaos-libsystem/patches/patch-tests_tests.sh |  12 +++++++++++-
 4 files changed, 30 insertions(+), 4 deletions(-)

diffs (73 lines):

diff -r e0315a719b04 -r d56fe612f8e7 devel/deforaos-libsystem/Makefile
--- a/devel/deforaos-libsystem/Makefile Tue Sep 23 10:54:09 2014 +0000
+++ b/devel/deforaos-libsystem/Makefile Tue Sep 23 12:06:49 2014 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.7 2014/09/16 19:25:51 khorben Exp $
+# $NetBSD: Makefile,v 1.8 2014/09/23 12:06:49 jperkin Exp $
 #
 
 DISTNAME=      libSystem-0.2.0
@@ -16,6 +16,8 @@
 MAKE_FLAGS+=   DESTDIR=${DESTDIR}
 MAKE_FLAGS+=   INSTALL=${INSTALL}
 
+REPLACE_SH=    tests/tests.sh
+
 BUILDLINK_API_DEPENDS.gtk-doc+=        gtk-doc>=1.20
 .include "../../textproc/gtk-doc/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
diff -r e0315a719b04 -r d56fe612f8e7 devel/deforaos-libsystem/distinfo
--- a/devel/deforaos-libsystem/distinfo Tue Sep 23 10:54:09 2014 +0000
+++ b/devel/deforaos-libsystem/distinfo Tue Sep 23 12:06:49 2014 +0000
@@ -1,7 +1,8 @@
-$NetBSD: distinfo,v 1.4 2014/09/16 19:25:51 khorben Exp $
+$NetBSD: distinfo,v 1.5 2014/09/23 12:06:49 jperkin Exp $
 
 SHA1 (libSystem-0.2.0.tar.gz) = c264070ff4034fbdc97aae3f7e694f84e7898365
 RMD160 (libSystem-0.2.0.tar.gz) = 8159d1baee58cff3a4adf5f514a1d5c2f45aedbe
 Size (libSystem-0.2.0.tar.gz) = 60538 bytes
 SHA1 (patch-data_pkgconfig.sh) = 7c40652087c604cff593a320e97259c453633c74
-SHA1 (patch-tests_tests.sh) = 530e8a01f2f06876cee5f29e5ba1bdb351d6bda4
+SHA1 (patch-src_Makefile) = 564623fdf246a4dc3a33bb265b6d6069bca58e29
+SHA1 (patch-tests_tests.sh) = 189b91d02ae0a83ff8e881a93b70984045456948
diff -r e0315a719b04 -r d56fe612f8e7 devel/deforaos-libsystem/patches/patch-src_Makefile
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/devel/deforaos-libsystem/patches/patch-src_Makefile       Tue Sep 23 12:06:49 2014 +0000
@@ -0,0 +1,13 @@
+$NetBSD: patch-src_Makefile,v 1.1 2014/09/23 12:06:49 jperkin Exp $
+
+Do not try to build targets that are created by existing targets, causes
+problems with parallel builds and is unnecessary.
+
+--- src/Makefile.orig  2014-09-14 17:53:40.000000000 +0000
++++ src/Makefile
+@@ -1,4 +1,4 @@
+-TARGETS       = libSystem.a libSystem.so.0.0 libSystem.so.0 libSystem.so
++TARGETS       = libSystem.a libSystem.so.0.0
+ PREFIX        = /usr/local
+ DESTDIR       =
+ LIBDIR        = $(PREFIX)/lib
diff -r e0315a719b04 -r d56fe612f8e7 devel/deforaos-libsystem/patches/patch-tests_tests.sh
--- a/devel/deforaos-libsystem/patches/patch-tests_tests.sh     Tue Sep 23 10:54:09 2014 +0000
+++ b/devel/deforaos-libsystem/patches/patch-tests_tests.sh     Tue Sep 23 12:06:49 2014 +0000
@@ -1,9 +1,19 @@
-$NetBSD: patch-tests_tests.sh,v 1.1 2014/09/16 19:25:51 khorben Exp $
+$NetBSD: patch-tests_tests.sh,v 1.2 2014/09/23 12:06:49 jperkin Exp $
 
 Avoid building the (experimental) Python binding.
+Use LD_LIBRARY_PATH to find pre-installed libraries.
 
 --- tests/tests.sh.orig        2014-08-29 19:23:48.000000000 +0000
 +++ tests/tests.sh
+@@ -50,7 +50,7 @@
+       echo -n "$test:" 1>&2
+       (echo
+       echo "Testing: ./$test" "$@"
+-      "./$test" "$@") >> "$target" 2>&1
++      env LD_LIBRARY_PATH=../src "./$test" "$@") >> "$target" 2>&1
+       res=$?
+       if [ $res -ne 0 ]; then
+               echo " FAIL" 1>&2
 @@ -103,7 +103,7 @@ _test "includes"
  _test "string"
  _test "variable"



Home | Main Index | Thread Index | Old Index